package app.main;

import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;

public class BackGroundImage {

	private double _X01 = 0;
	private double _X02 = 0;

	// Property 
	private Bitmap _Bitmap = null;
	private int _Speed = 0;
	
	public void Draw(Canvas canvas, Paint paint, long tick) {
		//  ġ  Ÿ  ̹ ׸
		if ((_Bitmap.getWidth()+_X01) > 0) {
			canvas.drawBitmap(_Bitmap, (int) _X01, 0, paint);
		}
		
		if ((_Bitmap.getWidth()+_X01) <= canvas.getWidth()) {
			canvas.drawBitmap(_Bitmap, (int) _X02, 0, paint);
		}
		
		_X01 = _X01 - (_Speed * tick / 1000);
		_X02 = _X01 + _Bitmap.getWidth();
		
		if ((_Bitmap.getWidth()+_X02) <= canvas.getWidth()) {
			double temp = _X01;
			_X01 = _X02;
			_X02 = temp + _Bitmap.getWidth();
		}
	}
	
	public void setBitmap(Bitmap value) {
		_Bitmap = value;
	}
	public Bitmap getBitmap() {
		return _Bitmap;
	}

	public void setSpeed(int value) {
		_Speed = value;
	}

	public int getSpeed() {
		return _Speed;
	}

}
